

-- bestand om de organisatie van Sabic aan te passen aan de laatste import

SET ECHO ON
SPOOL AASA#31958.lst
SET DEFINE OFF




CREATE OR REPLACE VIEW tmp_v_afdeling
AS
   SELECT a.prs_afdeling_key, a.prs_afdeling_naam, a.prs_afdeling_omschrijving,
          o.prs_afdeling_naam prs_afdeling_naamo,
          o.prs_afdeling_omschrijving prs_afdeling_omschrijvingo,
          prs_afdeling_naam_parent,
          prs_kostenplaats_nr,
          a1.prs_afdeling_key prs_afdeling_parentkey
     FROM prs_afdeling a, prs_v_aanwezigafdeling a1, fac_imp_organisatie o
    WHERE a.prs_afdeling_naam = o.prs_afdeling_naam
      AND a.prs_afdeling_verwijder IS NULL
      AND a1.prs_afdeling_naam(+) = o.prs_afdeling_naam_parent;


UPDATE prs_afdeling a
   SET prs_afdeling_parentkey =
          (SELECT prs_afdeling_parentkey
             FROM tmp_v_afdeling ta
            WHERE ta.prs_afdeling_key = a.prs_afdeling_key),
       prs_afdeling_omschrijving =
          (SELECT prs_afdeling_omschrijvingo
             FROM tmp_v_afdeling ta
            WHERE ta.prs_afdeling_key = a.prs_afdeling_key),
       prs_bedrijf_key = NULL
 WHERE a.prs_afdeling_key IN (SELECT prs_afdeling_key
                                FROM tmp_v_afdeling
                               WHERE prs_afdeling_naam_parent IS NOT NULL);


INSERT INTO prs_afdeling (prs_afdeling_parentkey,
                          prs_afdeling_naam,
                          prs_afdeling_omschrijving,
                          prs_kostenplaats_key)
    VALUES (442,
            '104104',
            'Head Quarters - 104104',
            3001);

DROP VIEW tmp_v_afdeling;

BEGIN adm.systrackscriptid('$Id$'); END;
/


COMMIT;

SPOOL OFF